from __future__ import annotations

import colors

from tcod.console import Console

def render_hp_bar(console: Console, current_value: int, max_value: int, total_width: int) -> None:
	bar_width = int(float(current_value) / max_value * total_width)

	console.draw_rect(x=0, y=45, width=total_width, height=1, ch=1, bg=colors.bar_empty)

	if bar_width > 0:
		console.draw_rect(x=0, y=45, width=bar_width, height=1, ch=1, bg=colors.bar_filled)
	
	console.print(x=1, y=45, string=f"HP: {current_value}/{max_value}", fg=colors.bar_text)